Skip to main content
POST
/
index.php
/
api
/
dakota
cURL
curl --request POST \
  --url https://marketplace-as-a-service.herokuapp.com/index.php/api/dakota \
  --header 'Content-Type: text/plain' \
  --header 'Oauth-Token: <api-key>' \
  --data '<JSON example>'

How to Use

  1. Copy any of the JSON examples below.
  2. Go to the API playground by clicking on the “Try it” button.
  3. Paste the JSON into the request body field.
  4. Click “Send” button to execute the request.

Examples

Count Insurance Additional Information Records

{
  "module": "insurance_additional_information__c",
  "count_only": true
}

List All Insurance Additional Information Records

{
  "module": "insurance_additional_information__c"
}

List Insurance Additional Information Records with Specific Fields

{
  "module": "insurance_additional_information__c",
  "filters": {
    "fields": [
      "sfid",
      "name",
      "account__c",
      "naic_company_number__c",
      "data_year__c",
      "data_quarter__c",
      "state_of_domicile_or_port_of_entry__c",
      "country_of_domicile__c",
      "total_net_admitted_assets__c",
      "createddate",
      "lastmodifieddate"
    ],
    "order_by": "lastmodifieddate:DESC",
    "max_num": "10"
  }
}

Filter by Account

{
  "module": "insurance_additional_information__c",
  "filters": {
    "filter": [
      {
        "account__c": {
          "$equals": "0016O00003gCXpxQAG"
        }
      }
    ]
  }
}

Filter by NAIC Company Number

{
  "module": "insurance_additional_information__c",
  "filters": {
    "filter": [
      {
        "naic_company_number__c": {
          "$equals": "15648"
        }
      }
    ],
    "fields": ["sfid", "name", "naic_company_number__c", "data_year__c", "data_quarter__c"]
  }
}

Filter by Data Year and Quarter

{
  "module": "insurance_additional_information__c",
  "filters": {
    "filter": [
      {
        "data_year__c": {
          "$equals": "2022"
        }
      },
      {
        "data_quarter__c": {
          "$equals": "Q4"
        }
      }
    ]
  }
}

Filter by State of Domicile

{
  "module": "insurance_additional_information__c",
  "filters": {
    "filter": [
      {
        "state_of_domicile_or_port_of_entry__c": {
          "$equals": "UT"
        }
      }
    ]
  }
}

Filter by Name

{
  "module": "insurance_additional_information__c",
  "filters": {
    "filter": [
      {
        "name": {
          "$contains": "Health Ins"
        }
      }
    ]
  }
}

Authorizations

Oauth-Token
string
header
required

Get the OAuth token by calling the /oauth2 authentication API. Use the access_token from the response to authorize your API requests.

Body

text/plain

Copy any of the JSON examples and paste it into the request body field.